<?php
/*

Plugin Name: Header and Footer Commander
Plugin URI: http://www.trottyzone.com/header-footer-commander/
Description: Inserts Text and html attributes Above header and/or Below footer of any WordPress Site.
Version: 3.0
Author: Ephrain Marchan
Author URI: http://www.trottyzone.com
License: OpenSource under GPL2
*/

/*

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/



// Hook for adding admin menus
if ( is_admin() ){ // admin actions
  add_action( 'admin_menu', 'fc_op_page' );
} else {
  // non-admin enqueues, actions, and filters
}


// action function for above hook
function fc_op_page() {

    // Add a new submenu under Settings:
    add_options_page(__('Header and Footer Commander','fc-menu'), __('Header and Footer Commander','fc-menu'), 'manage_options', 'testsettings', 'fc_settings_page');

// fc_settings_page() displays the page content for the Header and Footer Commander submenu
function fc_settings_page() {

    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    // variables for the field and option names 
    $fc_text = 'fc_input_text';
    $hidden_field_name = 'fc_submit_hidden';
    $data_field_name = 'fc_input_text';
    $fch_text = 'fch_input_text';
    $head_field_name = 'mth_submit_hidden';
    $headc_field_name = 'fch_input_text';

 


// Read in existing option value from database
    $fc_val = get_option( $fc_text );
$fch_val = get_option( $fch_text );

    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'

  
    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
          

     // Read their posted value
        $fc_val = $_POST[ $data_field_name ];
 $fch_val = $_POST[ $headc_field_name ];
add_option('checkboxhf', TRUE);
        

        // Save the posted value in the database
        update_option( $fc_text, $fc_val );  
update_option( $fch_text, $fch_val );  
update_option('checkboxhf', (bool) $_POST["checkboxhf"]);



?>

<div class="updated"><p><strong><?php _e('settings saved.', 'fc-menu' ); ?></strong></p></div>
<?php

    }



    // Now display the settings editing screen

    echo '<div class="wrap">';
    
    // icon for settings
       screen_icon(); 

    // header

    echo "<h2>" . __( 'Header and Footer Commander Settings', 'fc-menu' ) . "</h2>";

    // settings form
    
    ?>

<form name="form1" method="post" action="">

<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
<p><?php _e("Footer Text: ", 'fc-menu' ); ?> 
<input type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $fc_val; ?>" size="170"></p>

<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
<p><?php _e("Header Text: ", 'fc-menu' ); ?> 
<input type="text" name="<?php echo $headc_field_name; ?>" value="<?php echo $fch_val; ?>" size="170"></p>

<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
<p><?php _e("Check to Enable Both Options: ", 'fc-menu' ); ?> 
<input type="checkbox" name="checkboxhf" value="checkbox" <?php if (get_option('checkboxhf')) echo "checked='checked'"; ?>/>

<?php submit_button(); ?>

</form>
</div>


<?php } 
}
function fc_text_inputreal() {
if(True== get_option('checkboxhf'))
echo '<div class="footertext" align="center">'.get_option('fc_input_text').'</div>';
}
add_action('wp_footer', 'fc_text_inputreal');
remove_filter( 'wp_footer', 'strip_tags' );
function headerthing() {
if(True== get_option('checkboxhf'))
echo '<div class="headertext" align="center">'.get_option('fch_input_text').'</div>';
}
add_action('wp_head', 'headerthing');
remove_filter( 'wp_footer', 'strip_tags' );